Subject: WG ACTION: Session Initiation Proposal Investigation (sipping)

From: The IESG <[email-masked]>
Date: Fri, 02 Nov 2001 11:12:43 -0500

A new working group has been formed in the Transport Area of the IETF.
For additional information, contact the Area Directors or the WG
Chair.

Session Initiation Proposal Investigation (sipping)
---------------------------------------------------
 
 Charter 
 Last Modified: 01-Nov-01
 
 Current Status: Active Working Group
 
 Chair(s):
     Brian Rosen <[email-masked]>
     Dean Willis <[email-masked]>
     Rohan Mahy <[email-masked]>
 
 Transport Area Director(s): 
     Scott Bradner  <[email-masked]>
     Allison Mankin  <[email-masked]>
 
 Transport Area Advisor: 
     Allison Mankin  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       (un)subscribe
     Archive:           www.ietf.org/mail-archive/working-groups/sipping/current/maillist.html
 
Description of Working Group:
 
The Session Initiation Protocol Project INvestiGation (SIPPING)
working group is chartered to document the use of SIP for several
applications related to telephony and multimedia, and to develop
requirements for any extensions to SIP needed for those applications.
Such requirements will be referred to the SIP working group for
development of any new SIP method or header.  Guiding principles for
the performance of SIPPING's work will include:

1. Documenting the requirements of specific chartered tasks.

2. Documenting the usage of SIP to solve real problems that need to
   be solved in a standardized way.

3. Looking for commonalities among the chartered tasks and other
   ongoing SIP-related development, as commonalities may indicate need 
   for general, reusable functionality in SIP.

4. Describing the requirements for any extension determined to be 
   needed,  and handing them to the SIP WG.

Besides performing needed specification of several applications
of SIP, SIPPING can be seen as also working out use cases that
clarify the role of SIP in the Internet, and help to ensure that
Occam's razor is appropriately applied to SIP usage.

The security of all the deliverables will be of special importance. 
The technology for security will be keyed from a SIP security 
specification developed (in progress now) by the SIP Working Group.

The specific tasks for SIPPING will be:

1. PSTN and/or 3G telephony-equivalent applications that need a
   standardized approach

   - informational guide to common call flows

   - support for T.38 fax

   - requirements from 3GPP for SIP usage

   - framework of SIP for telephony (SIP-T)

   - call transfer and call forwarding

   - AAA application in SIP telephony

   - mapping between SIP and ISUP

2. Messaging-like applications of SIP -

   - support for hearing-/speech-impaired calling

   - development of usage guidelines for subscribe-notify (RFC 2848,
     SIP events) to ensure commonality among applications using them, 
     including SIMPLE WG's instant messaging.

3. Multi-party applications of SIP

   - the working group will review a number of technical pieces 
     including call transfer, subscribe-notify, SIP features 
     negotiation, and session description protocol (SDP) capability 
     negotiation, and will develop requirements and an initial design
     or framework for multi-party conferencing with SIP.

4. SIP calling to media servers

   - the working group will develop a requirements draft for an
     approach to SIP interaction with media servers. An example is 
     whether a voicemail server is just a box that a caller can send
     an INVITE to.

At a later time, the working group and chairs may request
of the Area Directors that new tasks be added to the charter.
Such additions to the charter will require IESG approval.

The group will work very closely with SIP working group.
The group will also maintain open dialogue with the IPTEL working
group, whose Call Processing Language (CPL) related to the task
areas in a number of ways.  The group will also coordinate closely
with SIMPLE, AAA, and MMUSIC (SDP development).

SIPPING will also ensure compatibility with the work done
by the now concluded PINT working group.  SIPPING will encourage
active participation from the Distributed Call Signaling (DCS) Group
of the PacketCable Consortium for distributed telephony services, 3GPP,
3GPP2, and several ITU-T study groups.
 
 Goals and Milestones: 
 
   Nov 01       Submit Internet-Draft on T.38 Fax Call Flows to IESG for 
                consideration as an Informational RFC                          

   Nov 01       Submit Internet-Draft on 3G Requirements to IESG for 
                consideration as an Informational RFC                          

   Dec 01       Submit Internet-Draft on Common Call Flows to IESG for 
                consideration as an Informational RFC                          

   Dec 01       Submit Internet-Draft on SIP-Telephony Framework to IESG for 
                consideration as an Informational RFC                          

   Jan 02       Submit Internet-Draft on Call Transfer using REFER to IESG for 
                consideration as an Informational RFC                          

   Jan 02       Submit Internet-Draft on Requirements for AAA Application in 
                SIP Telephony to IESG for consideration as an Informational RFC

   Feb 02       Submit Internet-Draft on ISUP-SIP Mapping to IESG for 
                consideration as an Informational RFC                          

   Feb 02       Submit Internet-Draft on Hearing-Impaired Support with SIP to 
                IESG for consideration as an Informational RFC                 

   Mar 02       Submit Internet-Draft on Usage Guideline for Events 
                (Subscribe-Notify) to IESG for consideration as an 
                Informational RFC                                              

   Apr 02       Submit Internet-Draft on Multi-Party/Conferencing Framework to 
                IESG for consideration as an Informational RFC                 

   Apr 02       Review charter with Area Directors and recharter or conclude